Public Member Functions | Public Attributes | List of all members
libzmf::Gradient Struct Reference

`#include <ZMFTypes.h>`

## Public Member Functions
| Gradient ()

## Public Attributes
GradientType | type
std::vector< GradientStop > | stops
double | angle
Point | center

## Constructor & Destructor Documentation

## ◆ Gradient()

libzmf::Gradient::Gradient | ( |  | ) |
| inline

## Member Data Documentation

## ◆ angle

double libzmf::Gradient::angle

Referenced by libzmf::ZMF4Parser::readGradient().

## ◆ center

Point libzmf::Gradient::center

Referenced by libzmf::ZMF4Parser::readGradient().

## ◆ stops

std::vector<GradientStop> libzmf::Gradient::stops

Referenced by libzmf::ZMF4Parser::readGradient().

## ◆ type

GradientType libzmf::Gradient::type

Referenced by libzmf::ZMF4Parser::readGradient().

The documentation for this struct was generated from the following file:

- ZMFTypes.h